Bug 155594 - Non editable size field shouldn't contain any value
Non editable size field shouldn't contain any value
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 18:01 UTC by Roman Mostyka
Modified: 2009-07-01 05:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-16 18:01:17 UTC
1. Connect to "travel" Java DB.
2. Rightclick "Tables" node and choose "Create Table...".
3. Enter table name, column name, choose INTEGER.

Result: Field size isn't editable, but it contains 0 as a value. It can mislead customers. If field isn't editable then
it shouldn't contain anything. Or it should contain some meaningful value.
Comment 1 John Baker 2008-12-16 18:43:02 UTC
I can clear the value, sound ok ?
Comment 2 Roman Mostyka 2008-12-17 09:39:52 UTC
For me yes. :)
Comment 3 Jiri Rechtacek 2009-02-10 15:27:20 UTC
Reassigned to new owner.
Comment 4 Jiri Skrivanek 2009-06-30 10:07:25 UTC
Size and scale fields are enabled/disabled according to data type in add column dialog. In create table dialog are shown
zero values but I don't think it is misleading for users.

core-main #af83f7fcb4ad
Comment 5 Quality Engineering 2009-07-01 05:31:23 UTC
Integrated into 'main-golden', will be available in build *200907010200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/af83f7fcb4ad
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #155594 - Size and scale fields enabled/disabled according to data type.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo